=== debian/changelog ===
nitrokey-authenticator (1.2.1-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 17:00:34 +0000

nitrokey-authenticator (1.2.1-1) unstable; urgency=high

  * New upstream release (fixes in AppStream file).
  * Bumped Standards Version to 4.5.1

 -- Patryk Cisek <patryk@debian.org>  Tue, 09 Feb 2021 08:05:18 -0800

nitrokey-authenticator (1.2-1) unstable; urgency=medium

  * New upstream release.
  * Added copyright information regarding data/nitrokey-
    authenticator.appdata.xml to debian/copyright.

 -- Patryk Cisek <patryk@debian.org>  Fri, 05 Feb 2021 09:05:12 -0800

nitrokey-authenticator (1.1-1) unstable; urgency=medium

  * New upstream release (Closes: #973628)

 -- Patryk Cisek <patryk@debian.org>  Sat, 07 Nov 2020 16:04:52 -0800

nitrokey-authenticator (1.0-2) unstable; urgency=medium

  * Changed "Vcs-*" references in debian control, so that they point to
    Salsa repo, instead of upstream on gitlab.com.

 -- Patryk Cisek <patryk@debian.org>  Sat, 17 Oct 2020 07:29:17 -0700

nitrokey-authenticator (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #971857)

 -- Patryk Cisek <patryk@debian.org>  Tue, 11 Aug 2020 09:52:40 -0700
