=== debian/control ===
Source: nitrokey-authenticator
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Patryk Cisek <patryk@debian.org>
Build-Depends:
 cmake (>= 3.5),
 debhelper-compat (= 12),
 libboost-log-dev,
 libnitrokey-dev,
 libzbarqt-dev,
 pkg-config,
 qtbase5-dev,
 qttools5-dev
Standards-Version: 4.5.1
Homepage: https://gitlab.com/Prezu/nitrokeyauthenticator
Vcs-Browser: https://salsa.debian.org/patryk/nitrokeyauthenticator
Vcs-Git: https://salsa.debian.org/patryk/nitrokeyauthenticator.git

Package: nitrokey-authenticator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TOTP authenticator app that's using Nitrokey Pro2 and/or LibremKey
 A TOTP authenticator app similar to Google Authenticator. This app, unlike
 Google Authenticator, does not store TOTP shared secrets on the computer,
 but inside the USB key. The application supports both, Nitrokey Pro2 and
 LibremKey. For the latter, however, you need to have libnitrokey version
 3.6 or newer installed on your system.
