=== debian/changelog ===
nitrokey-authenticator (1.2.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Patryk Cisek <patryk@debian.org>  Thu, 09 Sep 2021 14:24:34 -0700

nitrokey-authenticator (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Added debian/gbp.conf.
  * Added copyright info for release_checklist.txt to debian/copyright.

 -- Patryk Cisek <patryk@debian.org>  Thu, 09 Sep 2021 13:09:13 -0700

nitrokey-authenticator (1.2.1-2) unstable; urgency=medium

  * Eliminated false-positive reported by blhc.

 -- Patryk Cisek <patryk@debian.org>  Thu, 19 Aug 2021 17:08:42 -0700
