=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nitrokey-authenticator
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Patryk Cisek <patryk@debian.org>
+Maintainer: Patryk Cisek <patryk@debian.org>
 Build-Depends:
  cmake (>= 3.5),
  debhelper-compat (= 12),
