=== test/CMakeLists.txt ===
--- 
+++ 
@@ -103,6 +103,9 @@
     ${HIDAPI_LIBUSB_LDFLAGS} nitrokey
     Qt5::Widgets
 )
+if(USE_BUNDLED_LIBNITROKEY)
+	target_include_directories(dont_add_to_ctest PUBLIC ${CMAKE_SOURCE_DIR}/libnitrokey)
+endif(USE_BUNDLED_LIBNITROKEY)
 
 # Unit tests using QTest -- those tests involve testing
 # Qt-specific functionality, like signals and slots. They
