=== debian/changelog ===
nitrokey-authenticator (1.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patryk Cisek <patryk@debian.org>  Mon, 07 Feb 2022 10:57:37 -0800
