=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Patryk Cisek <patryk@debian.org>
 Build-Depends:
- cmake (>= 3.5),
+ cmake,
  debhelper-compat (= 12),
  libboost-log-dev,
  libnitrokey-dev,
