=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,6 @@
 	dh $@
 
 override_dh_auto_configure:
+	@echo "blhc: ignore-line-regexp: .*CMakeCXXCompilerABI\.cpp.*"
 	dh_auto_configure -- -DUSE_BUNDLED_LIBNITROKEY=OFF
