## nitrokey-authenticator 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-set(NITROKEY_AUTHENTICATOR_VERSION "1.2.3")
+set(NITROKEY_AUTHENTICATOR_VERSION "1.2.4")
 
 project(NitrokeyAuthenticator LANGUAGES CXX)
