=== debian/changelog ===
nitrokey-authenticator (1.2.4-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:04 +1100

nitrokey-authenticator (1.2.4-2build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:03:56 +0000

nitrokey-authenticator (1.2.4-2build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:53:02 +0100

nitrokey-authenticator (1.2.4-2) unstable; urgency=medium

  * Updated the link to homepage in debian/control.

 -- Patryk Cisek <patryk@debian.org>  Thu, 08 Sep 2022 16:28:24 -0700

nitrokey-authenticator (1.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Patryk Cisek <patryk@debian.org>  Wed, 31 Aug 2022 09:55:33 -0700
