=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nitrokey-authenticator
 Section: utils
 Priority: optional
-Maintainer: Patryk Cisek <patryk@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patryk Cisek <patryk@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 12),
@@ -12,7 +13,7 @@
  qtbase5-dev,
  qttools5-dev
 Standards-Version: 4.5.1
-Homepage: https://gitlab.com/Prezu/nitrokeyauthenticator
+Homepage: https://gitlab.com/prezu-debian/nitrokeyauthenticator
 Vcs-Browser: https://salsa.debian.org/patryk/nitrokeyauthenticator
 Vcs-Git: https://salsa.debian.org/patryk/nitrokeyauthenticator.git
